<html>

<head>
<meta http-equiv="Content-Language" content="en-au">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>~~~Streaming~~~</title>
<link rel="stylesheet" type="text/css" href="custom.css">
<script language=javascript>
var t;
var CurrentVol = 100;
var PosText = "~~~Position~~~";

function updateVolume(deltaVol)
{
    var vlc = getVLC("vlc");
    vlc.audio.volume += deltaVol;
    CurrentVol = vlc.audio.volume;
    document.getElementById("volumeTextField").innerHTML = vlc.audio.volume+"%";
}

function doTimeShift(CardNo)
{
	var Channel = document.getElementById("Channel" + CardNo);
	var QValue1 = document.getElementById("Q1"); 
	var QValue2 = document.getElementById("Q2");
	QValue1.value = CardNo;
	QValue2.value = Channel.value;
	TimeShift.submit();
}


function refresh_opener()
{
window.opener.location.href = window.opener.location.href; 
}


function reload_frame()
{
loadXMLDoc('streamfileframe?Card=!!!Card!!!&XML=yes');
}

function getVLC(name)
{
    if (window.document[name]) 
    {
        return window.document[name];
    }
    if (navigator.appName.indexOf("Microsoft Internet")==-1)
    {
        if (document.embeds && document.embeds[name])
            return document.embeds[name]; 
    }
    else // if (navigator.appName.indexOf("Microsoft Internet")!=-1)
    {
        return document.getElementById(name);
    }
}

function connection_refresh()
{
var vlc = getVLC("vlc");
vlc.playlist.stop();
play_on_load();
}

function play_source()
{
var vlc = getVLC("vlc");
vlc.playlist.clear();
vlc.playlist.add("!!!Source!!!");
vlc.playlist.play();
vlc.audio.volume = CurrentVol;
updateVolume(0);
t = setTimeout("reload_frame()", 2000);
}

function play_on_load()
{
refresh_opener();
t = setTimeout("play_source()", 2000);
}

function doaction(Action)
	{
	var vlc = getVLC("vlc");
	if (Action == "LocalStop")
	{
	vlc.playlist.stop();
	}
	else if (Action == "LocalPlay")
	{
	vlc.playlist.play();
	}
	else if (Action == "LocalPause")
	{
	vlc.playlist.togglePause();
	}
	t = setTimeout("reload_frame()", 2000);
	loadXMLDoc(Action + '&XML=yes');
	}
	
function closeremote()
	{
	window.opener.location.href = window.opener.location.href;

	if (window.opener.progressWindow)
		{
    	window.opener.progressWindow.close()
  		}
	t = setTimeout("js:window.close()", 2000);
	}
	
function killstream(Action)
	{
	loadXMLDoc(Action + '&XML=yes');
	t = setTimeout("closeremote()", 2000);
	}

</script>
</head>

<body onload='play_on_load()' bgcolor=#000000>
<form id=TimeShift action=streamfileremote method=post><input type=hidden name=Card value=!!!Card!!!><input type=hidden name=NewCard id=Q1><input type=hidden name=ChannelID id=Q2></form>
<div align=center>
<table id="table1" width=654>
<tr>
<td colspan=2 bgcolor=#000000 id=tv height=402>
<font face="Arial Narrow" size="2" color=#FFFFFF><b id='card_info'></b></font>
<!--
Insert VideoLAN.VLCPlugin.2 
-->
<OBJECT classid="clsid:9BE31822-FDAD-461B-AD51-BE1D1C159921"
        codebase="http://downloads.videolan.org/pub/videolan/vlc/latest/win32/axvlc.cab#Version=0,8,6,0"
        width="640"
        height="360"
        id="vlc"
        events="True">
<param name="MRL" value="" />
<param name="ShowDisplay" value="True" />
<param name="AutoLoop" value="False" />
<param name="AutoPlay" value="False" />
<param name="Volume" value="50" />
<param name="StartTime" value="0" />

<EMBED pluginspage="http://www.videolan.org"
       type="application/x-vlc-plugin"
       progid="VideoLAN.VLCPlugin.2"
       width="640"
       height="370"
       name="vlc">
</EMBED>
</OBJECT>
<table id='play-info' border=0 cellpadding=0 cellspacing=0 width=5%>
	<tr>
		<td nowrap width="2%" bgcolor=#000000><b id='card_state'></b></font></td>
		<td nowrap width="2%" id='card_time'></td>
		<td align="center" nowrap width="1%">/</td></font>
		<td width="2%" nowrap id='card_length'></td>
		<td width="93%" nowrap id='card_position'></td>
	</tr>
</table>

</td>
</tr>
	</tr>
	<tr>
		<th align=center>~~~Playback~~~<br>
		<image src=remote_kill.png onclick="killstream('streamfileframe?Command=kill&Card=!!!Card!!!')">&nbsp;&nbsp;&nbsp;
		<image src=remote_refresh.png onclick="connection_refresh()">&nbsp;&nbsp;&nbsp;
		<image src=Player_stop.png onclick="doaction('!!!StopAction!!!')">&nbsp;&nbsp;&nbsp;
		<image src=Player_play.png onclick="doaction('!!!PlayAction!!!')">&nbsp;&nbsp;&nbsp;
		<image src=Player_pause.png onclick="doaction('!!!PauseAction!!!')">&nbsp;&nbsp;&nbsp;
		<image src=remote_fullscreen.png onClick='getVLC("vlc").video.toggleFullscreen();'>
		</th>
		<th align=center>~~~Navigaton~~~<br>
		<image src=remote_back_10.png onclick="doaction('streamfileframe?Command=back10&Card=!!!Card!!!')">&nbsp;
		<image src=remote_back_5.png onclick="doaction('streamfileframe?Command=back5&Card=!!!Card!!!')">&nbsp;
		<image src=remote_back_3.png onclick="doaction('streamfileframe?Command=back3&Card=!!!Card!!!')">&nbsp;
		<image src=remote_back_1.png onclick="doaction('streamfileframe?Command=back1&Card=!!!Card!!!')">&nbsp;&nbsp;&nbsp;
		<image src=remote_fwrd_1.png onclick="doaction('streamfileframe?Command=fwrd1&Card=!!!Card!!!')">&nbsp;
		<image src=remote_fwrd_3.png onclick="doaction('streamfileframe?Command=fwrd3&Card=!!!Card!!!')">&nbsp;
		<image src=remote_fwrd_5.png onclick="doaction('streamfileframe?Command=fwrd5&Card=!!!Card!!!')">&nbsp;
		<image src=remote_fwrd_10.png onclick="doaction('streamfileframe?Command=fwrd10&Card=!!!Card!!!')"><br>
		!!!Channels!!!
		<SPAN style="text-align:center">Volume:</SPAN>
		<INPUT type=button value=" - " onClick='updateVolume(-10)'>
		<SPAN id="volumeTextField" style="text-align: center">--</SPAN>
		<INPUT type=button value=" + " onClick='updateVolume(+10)'>
		<INPUT type=button value="Mute" onClick='getVLC("vlc").audio.toggleMute();'>

		</th>
	</tr>
</table>
</div>

<script>
var req;

function loadXMLDoc(url)
	{
	req = false;
    // branch for native XMLHttpRequest object
    if(window.XMLHttpRequest && !(window.ActiveXObject)) {
    	try {
			req = new XMLHttpRequest();
        } catch(e) {
			req = false;
        }
    // branch for IE/Windows ActiveX version
    } else if(window.ActiveXObject) {
       	try {
        	req = new ActiveXObject("Msxml2.XMLHTTP");
      	} catch(e) {
        	try {
          		req = new ActiveXObject("Microsoft.XMLHTTP");
        	} catch(e) {
          		req = false;
        	}
		}
    }
	if(req) {
		req.onreadystatechange = processReqChange;
		req.open("POST", url, true);
		req.send("");
	}
}

function processReqChange()
{
    // only if req shows "loaded"
    if (req.readyState == 4)
    	{
        // only if "OK"
        if (req.status == 200) 
        	{

        	card = req.responseXML.getElementsByTagName("card")[0].firstChild.nodeValue;
        	cardname = req.responseXML.getElementsByTagName("cardname")[0].firstChild.nodeValue;
        	cardcontent = req.responseXML.getElementsByTagName("cardcontent")[0].firstChild.nodeValue;
        	v_length = req.responseXML.getElementsByTagName("length")[0].firstChild.nodeValue;        	
        	v_time = req.responseXML.getElementsByTagName("time")[0].firstChild.nodeValue;
        	v_position = req.responseXML.getElementsByTagName("position")[0].firstChild.nodeValue;
        	v_recording = req.responseXML.getElementsByTagName("recording")[0].firstChild.nodeValue;
        	var checkposition = v_position.split(".");
        	try
        		{
				if(parseFloat(v_position) > 0.0)
					{
	       			temp = checkposition[1] + "00";
        			temp = temp.slice(0,2);
        			v_position = checkposition[0] + "." + temp + "%";
					}
				else
					{
					v_position = "(LIVE)"
					}
        		}
        	catch(e)
        		{
				v_position = "(LIVE)"
        		}
        	state = req.responseXML.getElementsByTagName("state")[0].firstChild.nodeValue;
        	document.getElementById('card_info').innerHTML = cardname + ":&nbsp;&nbsp;" + cardcontent;
        	if (v_recording == "yes")
        		{
        		document.getElementById('card_state').innerHTML = "<img src='is_recording.png'>&nbsp;&nbsp;Recording:&nbsp;&nbsp;";
        		}
        	else if (v_recording == "no")
        		{
        		document.getElementById('card_state').innerHTML = state + ":&nbsp;&nbsp;";
        		}
        	else if (v_recording == "locked")
        		{
        		document.getElementById('card_state').innerHTML = "<img src='is_recording.png'>&nbsp;&nbsp;Tuner Locked:&nbsp;&nbsp;";
        		}
        	document.getElementById('card_time').innerHTML = v_time;
        	document.getElementById('card_length').innerHTML = v_length;
        	document.getElementById('card_position').innerHTML = "&nbsp;&nbsp;" + PosText + ": " + v_position;
			t = setTimeout("reload_frame()", 2000);
        	}
        else
        	{
            //alert("There was a problem retrieving the XML data:\n" + req.statusText);
        	}
    	}
}


</script>
</body>

</html>